+ Reply to Thread
Page 1 of 2 1 2 LastLast
Results 1 to 10 of 13
  1. #1
    Full Member
    Computer Details
    gtwatson's Computer Details
    Operating System:
    Win 7 enterprize
    Computer:
    Hewlett-Packard HP Z800 Workstation
    Motherboard:
    Hewlett-Packard 0AECh D
    CPU:
    3.47 gigahertz Intel Xeon (2 installed)
    RAM:
    24 Gb
    Graphics:
    NVIDIA Quadro 2000
    Monitor:
    NEC EA261WM (2)
    Discipline
    Structural
    gtwatson's Discipline Details
    Occupation
    Structural Engineer
    Discipline
    Structural
    Using
    AutoCAD 2016
    Join Date
    Jan 2009
    Location
    Houston, Tx
    Posts
    27

    Default Flatten 3D drawing to 2D

    Registered forum members do not see this ad.

    I have exported a 3D stick figure to a DXF (these are just lines and no solid objects) and imported it into AutoCAD 2006 (2012 ordered but not installed yet). I normally draw in 2D and want to get the 3D lines flattened, but I am having trouble.

    When I issue the FLATTEN command and say yes to remove hidden lines, it takes a while and I do get a 2D DWG, but the lines on the back side of my 3D lie on top of each other. Is there a way to make a block of the lines that lie on a plane and paste them into a new DWG?

    I'll try to attach a screen shot of my 3D model (it is a lattice transmission tower).
    Attached Images

  2. #2
    Quantum Mechanic ReMark's Avatar
    Computer Details
    ReMark's Computer Details
    Operating System:
    Windows 7 Pro 64-bit
    Computer:
    Thinkmate
    Motherboard:
    Intel DX58SO2 LGA1366 X58
    CPU:
    Intel i7-960 Quad-core 3.20GHz 8MB cache
    RAM:
    12GB (3x4GB) PC3-106000 DDR3
    Graphics:
    nVidia Quadro K4200, 4GB GDDR5
    Primary Storage:
    150GB Velocipraptor 10,000 rpm
    Secondary Storage:
    none
    Monitor:
    Dell P24LLH - 24" wide screen LCD
    Discipline
    See details...
    ReMark's Discipline Details
    Occupation
    CAD Draftsman/Designer...chemical manufacturing.
    Discipline
    See details below.
    Details
    I work for a specialty chemical manufacturer. I do a little bit of everything from P&IDs to civil to architectural and structural.
    Using
    AutoCAD 2018
    Join Date
    Nov 2005
    Location
    Norwalk, CT USofA
    Posts
    46,865

    Default

    You might try using the FLATSHOT command.
    "I have only come here seeking knowledge. Things they wouldn't teach me of in college." The Police

    Eat brains...gain more knowledge!

    I'm now a full member of the Society for the Promotion of Mediocrity in CAD. Standards? We don't need no stinkin' standards! Take whatever advice I offer and do the opposite.

  3. #3
    Super Moderator Cad64's Avatar
    Computer Details
    Cad64's Computer Details
    Operating System:
    Windows 7 Profesional x64
    Computer:
    XI Computers
    Motherboard:
    Asus P8Z77-V Pro
    CPU:
    Intel Core I7 3770K 4.1 Ghz Quad Core 3rd Gen
    RAM:
    24GB DDR3 @ 1333MHz
    Graphics:
    Nvidia GeForce GTX 570 1280MB GDDR5
    Primary Storage:
    SATAII 500GB 7200 RPM
    Secondary Storage:
    Western Digital My Book Studio Edition II - 2TB capacity
    Monitor:
    HPf2105 21" LCD Widescreen & Cintiq 21ux
    Discipline
    Multi-disciplinary
    Cad64's Discipline Details
    Occupation
    Freelance Digital Artist
    Discipline
    Multi-disciplinary
    Details
    3D model building, texturing and rendering. Photoshop Color Graphics.
    Using
    AutoCAD 2014
    Join Date
    Feb 2006
    Location
    San Antonio, TX
    Posts
    10,312

    Default

    You will have to wait until you install 2012 if you want to use Flatshot. It's not available in 2006. Only 2007 and later.
    CGSociety Portfolio: http://rdeweese.cgsociety.org/
    Facebook:
    https://www.facebook.com/rdeweese67/


    "Work Smart, Not Hard"

  4. #4
    Forum Deity
    Computer Details
    nestly's Computer Details
    Operating System:
    Windows 7 Pro (64bit)
    Using
    AutoCAD 2015
    Join Date
    Sep 2010
    Location
    PA
    Posts
    3,444

    Default

    I'm not sure FLATSHOT will flatten 3D lines anyway. (at least mine doesn't)

    "Command: flatshot
    There are no solids or surfaces that can be projected."

    If the problem is just overlapping/duplicate lines, use OVERKILL after FLATTEN if you have Express Tools installed.

  5. #5
    Full Member
    Computer Details
    gtwatson's Computer Details
    Operating System:
    Win 7 enterprize
    Computer:
    Hewlett-Packard HP Z800 Workstation
    Motherboard:
    Hewlett-Packard 0AECh D
    CPU:
    3.47 gigahertz Intel Xeon (2 installed)
    RAM:
    24 Gb
    Graphics:
    NVIDIA Quadro 2000
    Monitor:
    NEC EA261WM (2)
    Discipline
    Structural
    gtwatson's Discipline Details
    Occupation
    Structural Engineer
    Discipline
    Structural
    Using
    AutoCAD 2016
    Join Date
    Jan 2009
    Location
    Houston, Tx
    Posts
    27

    Default

    I do have 2012 loaded on another PC and I tried flatshot and I got the error nestly posted.

    The problem with flatten is that it takes the 3rd coordinate of my lines and makes them 0.0 which works OK if there are only lines that are on the 4 faces of my model. My problem is that I have several lines that go from the front face to the side face and I don't need them to be in the flattened result.

    My main problem is that I am self taught on AutoCAD and know how 2D works and can draw lines and circles and then put text on them, but I don't know how 3D works in ACAD. I normally just work in model space and draw structures full size and then plop down a title block and shrink the part down to fit inside the title block and put dimensions on the part. It has worked fine since the 1980's but I am stuck when I have to deal with lines in 3D.

    I'm a Structural Engineer and I model transmission towers in 3D all the time and am used to working in other structural software.

    I'm not sure how to do it in ACAD, but I need to define a bounded plane that contains the lines on a face and then make a block of only those lines (with their endpoints) so I can paste the plane into a 2D DWG that I am used to dealing with.

    I do plan to take some ACAD classes and learn 3D modeling but the screen shot I posted shows the top part of my 312 foot tall lattice tower that I need to send to the structure detailer and I need to define all the angle sizes, bolts and connection details on this one line schematic.

  6. #6
    Senior Member
    Computer Details
    danellis's Computer Details
    Operating System:
    Windows 7
    Computer:
    Dell Precision T1650
    Using
    Architecture 2014
    Join Date
    Dec 2010
    Posts
    321

    Default

    Try looking into Hidden Line Projection. I can tell you where to find it in R2010 and later, which sadly wouldn't be much help to you.

    I hope it's *in* R2006!

    dJE

  7. #7
    Quantum Mechanic ReMark's Avatar
    Computer Details
    ReMark's Computer Details
    Operating System:
    Windows 7 Pro 64-bit
    Computer:
    Thinkmate
    Motherboard:
    Intel DX58SO2 LGA1366 X58
    CPU:
    Intel i7-960 Quad-core 3.20GHz 8MB cache
    RAM:
    12GB (3x4GB) PC3-106000 DDR3
    Graphics:
    nVidia Quadro K4200, 4GB GDDR5
    Primary Storage:
    150GB Velocipraptor 10,000 rpm
    Secondary Storage:
    none
    Monitor:
    Dell P24LLH - 24" wide screen LCD
    Discipline
    See details...
    ReMark's Discipline Details
    Occupation
    CAD Draftsman/Designer...chemical manufacturing.
    Discipline
    See details below.
    Details
    I work for a specialty chemical manufacturer. I do a little bit of everything from P&IDs to civil to architectural and structural.
    Using
    AutoCAD 2018
    Join Date
    Nov 2005
    Location
    Norwalk, CT USofA
    Posts
    46,865

    Default

    You could try Lee Mac's Superflat program as mentioned here: http://www.cadtutor.net/forum/showth...hlight=flatten

    Take a look at this thread too where a number of ways are discussed to flatten 3D geometry. http://www.cadtutor.net/forum/showth...hlight=flatten
    "I have only come here seeking knowledge. Things they wouldn't teach me of in college." The Police

    Eat brains...gain more knowledge!

    I'm now a full member of the Society for the Promotion of Mediocrity in CAD. Standards? We don't need no stinkin' standards! Take whatever advice I offer and do the opposite.

  8. #8
    Full Member
    Computer Details
    gtwatson's Computer Details
    Operating System:
    Win 7 enterprize
    Computer:
    Hewlett-Packard HP Z800 Workstation
    Motherboard:
    Hewlett-Packard 0AECh D
    CPU:
    3.47 gigahertz Intel Xeon (2 installed)
    RAM:
    24 Gb
    Graphics:
    NVIDIA Quadro 2000
    Monitor:
    NEC EA261WM (2)
    Discipline
    Structural
    gtwatson's Discipline Details
    Occupation
    Structural Engineer
    Discipline
    Structural
    Using
    AutoCAD 2016
    Join Date
    Jan 2009
    Location
    Houston, Tx
    Posts
    27

    Default

    Quote Originally Posted by danellis View Post
    Try looking into Hidden Line Projection. I can tell you where to find it in R2010 and later, which sadly wouldn't be much help to you.

    I hope it's *in* R2006!

    dJE
    I tried the HIDE command but since the drawing is just a bunch of lines in 3D space and contains no solid objects, it didn't do anything.

  9. #9
    Full Member
    Computer Details
    gtwatson's Computer Details
    Operating System:
    Win 7 enterprize
    Computer:
    Hewlett-Packard HP Z800 Workstation
    Motherboard:
    Hewlett-Packard 0AECh D
    CPU:
    3.47 gigahertz Intel Xeon (2 installed)
    RAM:
    24 Gb
    Graphics:
    NVIDIA Quadro 2000
    Monitor:
    NEC EA261WM (2)
    Discipline
    Structural
    gtwatson's Discipline Details
    Occupation
    Structural Engineer
    Discipline
    Structural
    Using
    AutoCAD 2016
    Join Date
    Jan 2009
    Location
    Houston, Tx
    Posts
    27

    Default

    Quote Originally Posted by ReMark View Post
    You could try Lee Mac's Superflat program as mentioned here: http://www.cadtutor.net/forum/showth...hlight=flatten

    Take a look at this thread too where a number of ways are discussed to flatten 3D geometry. http://www.cadtutor.net/forum/showth...hlight=flatten
    I tried the Superflat LSP and it worked pretty good. I also ran Overkill and got rid of the lines that were on top of each other. The Superflat worked on the XY plane and I got the wide face of my tower model, but I would also like to get the narrow face that is in the YZ plane.

    I have pasted the Supflat code below. If I want the model flattened on the YZ plane can I change the "list 0 0 n " to "list n 0 0" ?

    Or what would I change to flatten the X coordinates to 0.0


    Code:
    (defun c:Supflat (/ ss ssObj j)
    (vl-load-com)
    (vlax-map-collection
    (vla-get-Layers
    (vla-get-ActiveDocument
    (vlax-get-acad-object)))
    '(lambda (x) (vla-put-lock x :vlax-false)))
    (if (setq ss (ssget "X" (list (cons 410 (getvar "CTAB")))))
    (progn
    (setq ssObj (mapcar 'vlax-ename->vla-object
    (mapcar 'cadr (ssnamex ss))) j 0)
    (foreach Obj ssObj
    (foreach n '(1e99 -1e99)
    (if (vl-catch-all-error-p
    (vl-catch-all-apply
    '(lambda (x)
    (vla-move x (vlax-3d-point (list 0 0 0))
    (vlax-3d-point (list 0 0 n))))
    (list Obj)))
    nil
    (setq j (1+ j)))))
    (princ (strcat "\n" (rtos (/ j 2.0)) " Objects Flattened.")))
    (princ "\n<!> No Objects Found <!>"))
    Last edited by SLW210; 28th Oct 2011 at 02:52 pm. Reason: Add Code Tags!!

  10. #10
    Forum Deity
    Computer Details
    nestly's Computer Details
    Operating System:
    Windows 7 Pro (64bit)
    Using
    AutoCAD 2015
    Join Date
    Sep 2010
    Location
    PA
    Posts
    3,444

    Default

    Registered forum members do not see this ad.

    I'm not familiar with superflat, but FLATTEN just projects your model onto the current viewing plane, so to create another view, just make as many copies of your model as the number of views you want before using FLATTEN the first time, and then rotate your view to the side you want to project. You will have to rotate the projections back to plan view after they're created. (also works for making isometrics)

Similar Threads

  1. How do i flatten a drawing?
    By mattbarb in forum AutoCAD General
    Replies: 14
    Last Post: 28th May 2008, 07:22 pm
  2. Flatten UCS?
    By Tiger in forum AutoCAD General
    Replies: 18
    Last Post: 9th Nov 2007, 09:25 am
  3. How To Flatten A Drawing/xref
    By raj banerjee in forum AutoLISP, Visual LISP & DCL
    Replies: 3
    Last Post: 6th Sep 2007, 09:29 pm
  4. flatten drawing to 2d
    By jkaran in forum AutoCAD Drawing Management & Output
    Replies: 4
    Last Post: 12th Dec 2005, 09:10 pm
  5. Flatten a drawing
    By Vince0115 in forum AutoCAD Drawing Management & Output
    Replies: 11
    Last Post: 8th Apr 2005, 09:36 pm

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts